Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Approval
  • Customer
  • Customer Request
  • Customer Transition
  • Jira Service Management Application
  • Organization
  • Organization Service Desk
  • Portals
  • Queue
  • Queue Settings
  • Request Attachment
  • Request Type
  • Request Type Permissions
  • Service Desk
  • Service Desk Customer
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index
  • index-snapshot
  • issue
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • searchLimits
  • securitylevel
  • serverInfo
  • session
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • websudo
  • workflow
  • workflowscheme
  • worklog
  • Assets - AQL
  • Assets - Analytics
  • Assets - Archived Objects
  • Assets - Attachments
  • Assets - Comments
  • Assets - Icons
  • Assets - Index Configuration
  • Assets - Object
  • Assets - Object Archive
  • Assets - Object Attribute
  • Assets - Object Connected Tickets
  • Assets - Object Restore
  • Assets - Object Schema
  • Assets - Object Type
  • Assets - Object Type Attribute
  • Assets - Progress
  • Assets - QR Code
  • Assets - Status Types
Server
Jira Service Management / Reference / REST API

issueLink

Postman Collection
OpenAPI
POST

Create an issue link between two issues

Creates an issue link between two issues.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

All information about the link relationship. Which issues to link, which issue link type to use and an optional comment that will be added to the first issue.

comment

CommentJsonBean

inwardIssue

IssueRefJsonBean

outwardIssue

IssueRefJsonBean

type

IssueLinkTypeJsonBean

Responses

Returned if the issue link was created successfully.

POST/api/2/issueLink
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 curl --request POST \ --url 'http://{baseurl}/rest/api/2/issueLink' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "comment": { "author": { "active": true, "avatarUrls": {}, "displayName": "Fred F. User", "emailAddress": "fred@example.com", "key": "fred", "name": "Fred", "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "timeZone": "Australia/Sydney" }, "body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget venenatis elit. Duis eu justo eget augue iaculis fermentum. Sed semper quam laoreet nisi egestas at posuere augue semper.", "created": "2012-07-06T18:30:00.000+0000", "id": "10000", "properties": [ { "key": "issue.support", "value": "{\"hipchat.room.id\":\"support-123\",\"support.time\":\"1m\"}" } ], "renderedBody": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget venenatis elit. Duis eu justo eget augue iaculis fermentum. Sed semper quam laoreet nisi egestas at posuere augue semper.", "self": "http://www.example.com/jira/rest/api/2/issue/10010/comment/10000", "updateAuthor": { "active": true, "avatarUrls": {}, "displayName": "Fred F. User", "emailAddress": "fred@example.com", "key": "fred", "name": "Fred", "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "timeZone": "Australia/Sydney" }, "updated": "2012-07-06T18:30:00.000+0000", "visibility": { "type": "group", "value": "jira-software-users" } }, "inwardIssue": { "fields": { "issuetype": {}, "priority": {}, "status": {}, "summary": "<string>" }, "id": "10000", "key": "HSP-1", "self": "http://www.example.com/jira/rest/api/2/issue/10000" }, "outwardIssue": { "fields": { "issuetype": {}, "priority": {}, "status": {}, "summary": "<string>" }, "id": "10000", "key": "HSP-1", "self": "http://www.example.com/jira/rest/api/2/issue/10000" }, "type": { "id": "10000", "inward": "is duplicated by", "name": "Duplicate", "outward": "duplicates", "self": "http://www.example.com/jira/rest/api/2/issueLinkType/10000" } }'
GET

Returns an issue link with the specified id.

Forge and OAuth2 apps cannot access this REST resource.

linkId

string

Required

Returned if the request was successful.

application/json

issueLinks
GET/api/2/issueLink/{linkId}
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/issueLink/{linkId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 { "id": "10000", "inwardIssue": { "fields": { "issuetype": {}, "priority": {}, "status": {}, "summary": "<string>" }, "id": "10000", "key": "HSP-1", "self": "http://www.example.com/jira/rest/api/2/issue/10000" }, "outwardIssue": { "fields": { "issuetype": {}, "priority": {}, "status": {}, "summary": "<string>" }, "id": "10000", "key": "HSP-1", "self": "http://www.example.com/jira/rest/api/2/issue/10000" }, "self": "http://www.example.com/jira/rest/api/2/issueLink/10000", "type": { "id": "10000", "inward": "is duplicated by", "name": "Duplicate", "outward": "duplicates", "self": "http://www.example.com/jira/rest/api/2/issueLinkType/10000" } }
DEL

Deletes an issue link with the specified id.

Forge and OAuth2 apps cannot access this REST resource.

linkId

string

Required

Returned if it successfully deleted the issue link.

DEL/api/2/issueLink/{linkId}
1 2 3 curl --request DELETE \ --url 'http://{baseurl}/rest/api/2/issueLink/{linkId}' \ --user 'email@example.com:<api_token>'

Rate this page: